# Generated from fluxo-0.2.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name fluxo

Name: rubygem-%{gem_name}
Version: 0.2.1
Release: 1%{?dist}
Summary: Simple Ruby DSL to create operation service objects
License: MIT
URL: https://github.com/marcosgz/fluxo
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.3.0
# BuildRequires: rubygem(standard)
# BuildRequires: rubygem(pry)
# BuildRequires: rubygem(rspec)
BuildArch: noarch

%description
Provides a simple and powerful way to create operations service objects for
complex workflows.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%{gem_instdir}/.tool-versions
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_instdir}/ci
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/fluxo.gemspec

%changelog
* Tue Apr 19 2022 mockbuilder - 0.2.1-1
- Initial package
